local fpscounter = {} 
fpscounter.average = 0
fpscounter.list = {} -- list of last 30 FPS
fpscounter.timer = 1
fpscounter.fps = 0 
--fps counter updates once a second 
fpscounter.update = function(dt)
	fpscounter.timer = fpscounter.timer - dt 
	if fpscounter.timer <= 0 then 
		fpscounter.timer = 1 
		fpscounter.fps = 1/dt
		table.insert(fpscounter.list, fpscounter.fps)
		if #fpscounter.list > 30 then 
			table.remove(fpscounter.list,1)
		end
		local total = 0 
		for i = 1,#fpscounter.list do 
			total = total + fpscounter.list[i]
		end
		fpscounter.average = total / #fpscounter.list
		-- current is always last one in list table 
		love.window.setTitle("Cell Manipulation; Avg. Tps: "..tostring(math.floor(fpscounter.average))..", Cur Tps: "..fpscounter.list[#fpscounter.list])
	end
end
return fpscounter